﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DataTreeGridCustomDataBindingSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            DataTreeGrid.DataContext =
                new CustomNodeItem[] 
                {
                    new CustomNodeItem { Name = "Custom node 1", Description = "Description of custom node 1" },
                    new CustomNodeItem { Name = "Custom node 1.1", IndentLevel = 1, Description = "Description of custom node 1.1" },
                    new CustomNodeItem { Name = "Custom node 1.2", IndentLevel = 1, Description = "Description of custom node 1.2" },
                    new CustomNodeItem { Name = "Custom node 2", Description = "Description of custom node 2" },
                    new CustomNodeItem { Name = "Custom node 2.1", IndentLevel = 1, Description = "Description of custom node 2.1" },
                    new CustomNodeItem { Name = "Custom node 2.2", IndentLevel = 1, Description = "Description of custom node 2.2" }
                };
        }
    }
}
